## juju-core 1.16.0

=== src/launchpad.net/juju-core/Makefile ===
#
# Makefile for juju-core.
#

ifndef GOPATH
$(warning You need to set up a GOPATH.  See the README file.)
endif

PROJECT := launchpad.net/juju-core
PROJECT_DIR := $(shell go list -e -f '{{.Dir}}' $(PROJECT))

define DEPENDENCIES
  build-essential
  bzr
  distro-info-data
  git-core
  golang
  mercurial
  mongodb-server
  zip
endef

default: build

# Start of GOPATH-dependent targets. Some targets only make sense -
# and will only work - when this tree is found on the GOPATH.
ifeq ($(CURDIR),$(PROJECT_DIR))

build:
	go build $(PROJECT)/...

check:
	go test $(PROJECT)/...

install:
	go install -v $(PROJECT)/...

clean:
	go clean $(PROJECT)/...

else # --------------------------------

build:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

check:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

install:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

clean:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

endif
# End of GOPATH-dependent targets.

# Reformat source files.
format:
	gofmt -w -l .

# Reformat and simplify source files.
simplify:
	gofmt -w -l -s .

# Install packages required to develop Juju and run tests. The stable
# PPA includes the required mongodb-server binaries. However, neither
# PPA works on Saucy just yet.
install-dependencies:
ifneq ($(shell lsb_release -cs),saucy)
	@echo Adding juju PPAs for golang and mongodb-server
	@sudo apt-add-repository --yes ppa:juju/golang
	@sudo apt-add-repository --yes ppa:juju/stable
	@sudo apt-get update
endif
	@echo Installing dependencies
	@sudo apt-get --yes install $(strip $(DEPENDENCIES))


.PHONY: build check install
.PHONY: clean format simplify
.PHONY: install-dependencies

## juju-core 1.10.0.1

=== debian/changelog ===
juju-core (1.10.0.1-0ubuntu1~ubuntu13.04.1) raring-backports; urgency=low

  [ James Page ]
  * Initial release (LP: #1172215).

  [ Mark Mims ]
  * Install alternatives for juju, jujud and juju.1 manpages for
    co-installability with juju package.

  [ Dave Cheney ]
  * Initial packaging.

 -- James Page <james.page@ubuntu.com>  Wed, 24 Apr 2013 22:34:47 +0100

=== debian/control ===
Source: juju-core
Section: devel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), golang-go, python
Standards-Version: 3.9.4
Homepage: http://launchpad.net/juju-core

Package: juju-core
Architecture: amd64 i386
Depends: ${misc:Depends}
Description: Juju is devops distilled - client
 Through the use of charms, juju provides you with shareable, re-usable,
 and repeatable expressions of devops best practices. You can use them
 unmodified, or easily change and connect them to fit your needs. Deploying
 a charm is similar to installing a package on Ubuntu: ask for it and
 it’s there, remove it and it’s completely gone.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export GOPATH:=$(CURDIR)
export PATH:=$(GOPATH)/bin:$(PATH)

PKGDIR:=debian/juju-core
VERSION:=$(shell sed -n 's/^const version = "\(.*\)"/\1/p' $(GOPATH)/src/launchpad.net/juju-core/version/version.go)
ifeq ($(VERSION),)
$(error Invalid version constant in version.go)
endif

%:
	dh $@

debian/juju-core.postinst: debian/juju-core.postinst.in
	sed -e "s/__NEW_VERSION__/$(VERSION)/g" $< > $@

debian/juju-core.prerm: debian/juju-core.prerm.in
	sed -e "s/__NEW_VERSION__/$(VERSION)/g" $< > $@

override_dh_auto_install: debian/juju-core.postinst debian/juju-core.prerm
	go install -v launchpad.net/juju-core/cmd/juju
	go install -v launchpad.net/juju-core/cmd/jujud
	$(GOPATH)/src/launchpad.net/juju-core/scripts/generate-docs.py man -o juju.1
	dh_install bin/juju usr/lib/juju-$(VERSION)/bin
	dh_install bin/jujud usr/lib/juju-$(VERSION)/bin
	dh_install juju.1 usr/lib/juju-$(VERSION)/man/man1
	dh_auto_install

override_dh_auto_clean:
	rm -rf debian/juju-core.prerm debian/juju-core.postinst bin juju.1
	dh_auto_clean

## juju-core 1.16.0

=== debian/changelog ===
juju-core (1.16.0-0ubuntu1) saucy; urgency=low

  * New upstream stable release (LP: #1219879).

 -- James Page <james.page@ubuntu.com>  Thu, 10 Oct 2013 18:07:45 +0100

juju-core (1.14.1-0ubuntu1) saucy; urgency=low

  * New upstream point release.

 -- James Page <james.page@ubuntu.com>  Fri, 20 Sep 2013 22:06:08 +0100

juju-core (1.14.0-0ubuntu1) saucy; urgency=low

  * New upstream stable release (stabilization of 1.13 series).

 -- James Page <james.page@ubuntu.com>  Tue, 17 Sep 2013 13:43:12 +0100

juju-core (1.13.3-0ubuntu1) saucy; urgency=low

  * New upstream point release.

 -- James Page <james.page@ubuntu.com>  Tue, 03 Sep 2013 14:22:22 +0100

juju-core (1.13.2-0ubuntu2) saucy; urgency=low

  * d/control,d/tests/*: Add DEP-8 tests for basic client validation
    and local provider setup/query/teardown. 

 -- James Page <james.page@ubuntu.com>  Tue, 27 Aug 2013 19:43:34 +0100

juju-core (1.13.2-0ubuntu1) saucy; urgency=low

  * New upstream point release.

 -- James Page <james.page@ubuntu.com>  Sun, 25 Aug 2013 22:12:09 +0100

juju-core (1.13.1-0ubuntu2) saucy; urgency=low

  * d/juju-core.postinst.in: Fixup broken alternatives install for
    juju-metadata.

 -- James Page <james.page@ubuntu.com>  Wed, 21 Aug 2013 09:30:17 +0100

juju-core (1.13.1-0ubuntu1) saucy; urgency=low

  * New upstream release.
    - Build and install juju metadata plugin.
    - d/NEWS: Add some guidance on upgrading environments from 1.11.x
      to 1.13.x.
  * d/NEWS: Add details about lack of upgrade path from juju < 1.11
    and how to interact with older juju environments.

 -- James Page <james.page@ubuntu.com>  Tue, 20 Aug 2013 16:02:16 +0100

juju-core (1.12.0-0ubuntu1) saucy; urgency=low

  [ Christopher Glass ]
  * d/juju-core.bash-completion,control: Add bash completion support for the
    juju command.

  [ James Page ]
  * New upstream release.
  * d/juju-core.lintian-overrides.in,rules: Template generation of lintian
    overrides using upstream version.
  * d/control: Drop Suggests: mongodb-server for juju-core package in
    preference of new dependency package for local provider.

  [ Zhengpeng Hou ]
  * d/control: Added a dependency package to install dependencies for the
    local provider (LP: #1204131).

 -- James Page <james.page@ubuntu.com>  Wed, 07 Aug 2013 09:57:32 +0100

juju-core (1.11.4-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - d/copyright: Drop section for go-curl.

 -- James Page <james.page@ubuntu.com>  Tue, 23 Jul 2013 08:51:44 +0100

juju-core (1.11.3-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - d/control: Suggest mongodb-server for use with local provider.
    - d/NEWS: Notify users about the local provider.
  * d/rules: Don't strip binaries - this can have undesirable side
    effects with the golang compiler.
  * d/juju-core.lintian-overrides: Override errors for static linking
    and un-stripped binaries as these are intentional.
  * d/rules: Use xz compression to reduce size of debs now that binaries
    are not stripped.
  * d/copyright: Added copyright and licensing information for go-curl.

 -- James Page <james.page@ubuntu.com>  Mon, 22 Jul 2013 11:36:48 +0100

juju-core (1.11.2-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * Make juju-core the default juju (LP: #1190634):
    - d/control: Add virtual package juju -> juju-core.
    - d/juju-core.postinst.in: Bump priority of alternatives over that of
      python juju packages.
  * Enable for all architectures (LP: #1172505):
    - d/control: Version BD on golang-go to >= 2:1.1.1 to ensure CGO
      support for non-x86 archs, make juju-core Arch: any.
    - d/README.source: Dropped - no longer required.
  * d/watch: Updated for new upstream tarball naming.

 -- James Page <james.page@ubuntu.com>  Thu, 11 Jul 2013 17:18:27 +0100

juju-core (1.10.0.1-0ubuntu3) saucy; urgency=low

  * d/control,README.source: restrict target architectures to amd64 & i386,
    add documentation to detail why this is the case. 

 -- James Page <james.page@ubuntu.com>  Mon, 29 Apr 2013 12:24:49 +0100

juju-core (1.10.0.1-0ubuntu2) saucy; urgency=low

  * d/control: Mark as conflicting with juju < 0.7-0ubuntu1 (LP: #1172911).
  * d/control: Add missing ${shlibs:Depends} to juju-core (LP: #1172504).

 -- James Page <james.page@ubuntu.com>  Mon, 29 Apr 2013 11:36:22 +0100

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 endif
 
 %:
-	dh $@
+	dh $@ --with bash-completion
 
 debian/juju-core.postinst: debian/juju-core.postinst.in
 	sed -e "s/__NEW_VERSION__/$(VERSION)/g" $< > $@
@@ -21,15 +21,28 @@
 debian/juju-core.prerm: debian/juju-core.prerm.in
 	sed -e "s/__NEW_VERSION__/$(VERSION)/g" $< > $@
 
-override_dh_auto_install: debian/juju-core.postinst debian/juju-core.prerm
+debian/juju-core.lintian-overrides: debian/juju-core.lintian-overrides.in
+	sed -e "s/__NEW_VERSION__/$(VERSION)/g" $< > $@
+
+override_dh_auto_install: debian/juju-core.postinst debian/juju-core.prerm debian/juju-core.lintian-overrides
 	go install -v launchpad.net/juju-core/cmd/juju
+	go install -v launchpad.net/juju-core/cmd/plugins/juju-metadata
 	go install -v launchpad.net/juju-core/cmd/jujud
 	$(GOPATH)/src/launchpad.net/juju-core/scripts/generate-docs.py man -o juju.1
 	dh_install bin/juju usr/lib/juju-$(VERSION)/bin
+	dh_install bin/juju-metadata usr/lib/juju-$(VERSION)/bin
 	dh_install bin/jujud usr/lib/juju-$(VERSION)/bin
 	dh_install juju.1 usr/lib/juju-$(VERSION)/man/man1
 	dh_auto_install
 
 override_dh_auto_clean:
-	rm -rf debian/juju-core.prerm debian/juju-core.postinst bin juju.1
+	rm -rf debian/juju-core.prerm debian/juju-core.postinst debian/juju-core.lintian-overrides bin juju.1
 	dh_auto_clean
+
+# Don't strip golang compiled binaries as this does
+# not function correctly
+override_dh_strip:
+	:
+
+override_dh_builddeb:
+	dh_builddeb -- -Zxz

## juju-core 1.16.3

=== debian/changelog ===
juju-core (1.16.3-0ubuntu0.13.10.1) saucy-proposed; urgency=low

  * New upstream stable point release:
    - MAAS: juju destroy-environment also destroys nodes that are not
      controlled by juju/in different juju environments
      (LP: #1229275, #1081247).
    - MAAS: LXC container provisioning broken due to missing secrets
      in API calls (LP: #1246556).
    - MAAS: disambiguate use of environment uuid between state server
      and environment configuration (LP: #1240423).
    - local: provider fails to start due to missing setup of bootstrap
      storage (LP: #1240709).
    - local: local provider deploys fail due to inclusion of lxc package
      within LXC containers (LP: #1247299).
    - Azure: bootstrap fails due to old API version headers (LP: #1246320).
    - client: os.rename does not work on Windows (LP: #1240927).
    - simplestreams: cannot create simplestreams data for Ubuntu Trusty
      (LP: #1241666).
    - cloud-init: Embed full cloud-archive keyring in metadata to avoid
      calls to keyserver.ubuntu.com which fail in egress restricted
      data center environments (LP: #1243861).
    - core: regression - relation name regex is to restrictive (LP: #1245004).

 -- James Page <james.page@ubuntu.com>  Thu, 21 Nov 2013 10:30:39 +0000

=== debian/control ===
Source: juju-core
Section: devel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 bash-completion,
 debhelper (>= 7.0.50~),
 golang-go (>= 2:1.1.1),
 python
Standards-Version: 3.9.4
Homepage: http://launchpad.net/juju-core
XS-Testsuite: autopkgtest

Package: juju-core
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: juju (<< 0.7-0ubuntu1~)
Description: Juju is devops distilled - client
 Through the use of charms, juju provides you with shareable, re-usable,
 and repeatable expressions of devops best practices. You can use them
 unmodified, or easily change and connect them to fit your needs. Deploying
 a charm is similar to installing a package on Ubuntu: ask for it and
 it’s there, remove it and it’s completely gone.
 .
 This package provides the client application of creating and interacting
 with Juju environments.

Package: juju
Architecture: all
Depends: juju-core (>= ${source:Version}), ${misc:Depends}
Description: next generation service orchestration system
 Through the use of charms, juju provides you with shareable, re-usable,
 and repeatable expressions of devops best practices. You can use them
 unmodified, or easily change and connect them to fit your needs. Deploying
 a charm is similar to installing a package on Ubuntu: ask for it and
 it’s there, remove it and it’s completely gone.
 .
 This is a dependency package providing the current version of Juju.

Package: juju-local
Architecture: all
Depends:
 juju-core (>= ${source:Version}),
 lxc,
 mongodb-server,
 ${misc:Depends}
Description: dependency package for the Juju local provider
 Through the use of charms, juju provides you with shareable, re-usable,
 and repeatable expressions of devops best practices. You can use them
 unmodified, or easily change and connect them to fit your needs. Deploying
 a charm is similar to installing a package on Ubuntu: ask for it and
 it’s there, remove it and it’s completely gone.
 .
 This is a dependency package for those who want to use the Juju local
 provider, allowing Juju Charms to be tested locally using LXC containers.

## juju-core 1.18.1

=== src/launchpad.net/gocheck/Makefile ===
include $(GOROOT)/src/Make.inc

TARG=launchpad.net/gocheck

GOFILES=\
	gocheck.go\
	helpers.go\
	run.go\
	checkers.go\
	printer.go\

#TARGDIR=$(GOPATH)/pkg/$(GOOS)_$(GOARCH)
#GCIMPORTS=$(patsubst %,-I %/pkg/$(GOOS)_$(GOARCH),$(subst :, ,$(GOPATH)))
#LDIMPORTS=$(patsubst %,-L %/pkg/$(GOOS)_$(GOARCH),$(subst :, ,$(GOPATH)))

include $(GOROOT)/src/Make.pkg

GOFMT=gofmt

BADFMT=$(shell $(GOFMT) -l $(GOFILES) $(filter-out printer_test.go,$(wildcard *_test.go)))

gofmt: $(BADFMT)
	@for F in $(BADFMT); do $(GOFMT) -w $$F && echo $$F; done

ifneq ($(BADFMT),)
ifneq ($(MAKECMDGOALS),gofmt)
#$(warning WARNING: make gofmt: $(BADFMT))
endif
endif

=== src/launchpad.net/gwacl/Makefile ===
# Build, and run tests. Be careful of the ordering of flags here; get
# it wrong and things can disappear into the void without warning.
# Yes, both -v and -gocheck.v=true are needed.
check: examples
	go test -v ./... -gocheck.v=true

debug-test:
	go test -c -gcflags "-N -l"
	gdb gwacl.test
	$(RM) gwacl.test

all_source := $(shell find . -name '*.go' ! -name '*_test.go')

example_source := $(wildcard example/*/run.go)
example_binaries := $(patsubst %.go,%,$(example_source))

# Clean up binaries.
clean:
	$(RM) $(example_binaries)

# Reformat the source files to match our layout standards.
# This includes gofmt's "simplify" option to streamline the source code.
format:
	./utilities/format -s

# Build the examples (we have no tests for them).
examples: $(example_binaries)

%: %.go $(all_source)
	go build -o $@ $<

.PHONY: check clean format examples debug_check

=== src/launchpad.net/juju-core/Makefile ===
--- 
+++ 
@@ -9,15 +9,23 @@
 PROJECT := launchpad.net/juju-core
 PROJECT_DIR := $(shell go list -e -f '{{.Dir}}' $(PROJECT))
 
+ifeq ($(shell uname -p | sed -r 's/.*(x86|armel|armhf).*/golang/'), golang)
+	GO_C := golang
+	INSTALL_FLAGS := 
+else
+	GO_C := gccgo-4.9  gccgo-go
+	INSTALL_FLAGS := -gccgoflags=-static-libgo
+endif
+
 define DEPENDENCIES
   build-essential
   bzr
   distro-info-data
   git-core
-  golang
   mercurial
-  mongodb-server
+  rsyslog-gnutls
   zip
+  $(GO_C)
 endef
 
 default: build
@@ -33,7 +41,7 @@
 	go test $(PROJECT)/...
 
 install:
-	go install -v $(PROJECT)/...
+	go install $(INSTALL_FLAGS) -v $(PROJECT)/...
 
 clean:
 	go clean $(PROJECT)/...
@@ -67,15 +75,20 @@
 # PPA includes the required mongodb-server binaries. However, neither
 # PPA works on Saucy just yet.
 install-dependencies:
-ifneq ($(shell lsb_release -cs),saucy)
+ifeq ($(shell lsb_release -cs|sed -r 's/precise|quantal|raring/old/'),old)
 	@echo Adding juju PPAs for golang and mongodb-server
 	@sudo apt-add-repository --yes ppa:juju/golang
 	@sudo apt-add-repository --yes ppa:juju/stable
 	@sudo apt-get update
 endif
 	@echo Installing dependencies
-	@sudo apt-get --yes install $(strip $(DEPENDENCIES))
+	@sudo apt-get --yes install $(strip $(DEPENDENCIES)) \
+	$(shell apt-cache madison juju-mongodb mongodb-server | head -1 | cut -d '|' -f1)
 
+# Install bash_completion
+install-etc:
+	@echo Installing bash completion
+	@sudo install -o root -g root -m 644 etc/bash_completion.d/juju-core /etc/bash_completion.d
 
 .PHONY: build check install
 .PHONY: clean format simplify

=== src/launchpad.net/goamz/exp/sns/Makefile ===
include $(GOROOT)/src/Make.inc

TARG=launchpad.net/goamz/sns

GOFILES=\
		sns.go\
		sign.go\

include $(GOROOT)/src/Make.pkg

GOFMT=gofmt
BADFMT=$(shell $(GOFMT) -l $(GOFILES) 2> /dev/null)

gofmt: $(BADFMT)
	@for F in $(BADFMT); do $(GOFMT) -w $$F && echo $$F; done

ifneq ($(BADFMT),)
ifneq ($(MAKECMDGOALS), gofmt)
#$(warning WARNING: make gofmt: $(BADFMT))
endif
endif

=== debian/changelog ===
juju-core (1.18.1-0ubuntu1) trusty; urgency=medium

  * New upstream point release, including fixes for:
    - Upgrading juju 1.16.6 -> 1.18.x fails (LP: #1299802).
    - Peer relation disappears during juju-upgrade (LP: #1303697).
    - public-address of units changes to internal bridge post upgrade
      (LP: #1303735).
    - Unable to deploy local charms without series (LP: #1303880).
    - juju scp no longer allows multiple extra arguments to be passed
      (LP: #1306208).
    - juju cannot downgrade to same major.minor version with earlier
      patch number (LP: #1306296).

 -- James Page <james.page@ubuntu.com>  Sat, 12 Apr 2014 07:04:37 +0100

juju-core (1.18.0-0ubuntu1) trusty; urgency=medium

  * New upstream release (LP: #1287147), including fixes for:
    - maas/lxc: LXC permission denied issue (LP: #1299588).
    - core: mega-watcher for machines does not include container
      addresses (LP: #1301464).

 -- James Page <james.page@ubuntu.com>  Mon, 07 Apr 2014 18:24:59 +0100

juju-core (1.17.7-0ubuntu1) trusty; urgency=medium

  * New upstream point release, including fixes for:
    - no debug log with all providers on Ubuntu 14.04 (LP: #1294776).
  * d/control: Add cpu-checker dependency to juju-local (LP: #1297077).

 -- James Page <james.page@ubuntu.com>  Fri, 28 Mar 2014 08:58:42 +0000

juju-core (1.17.6-0ubuntu1) trusty; urgency=medium

  * New upstream point release, including fixes for:
    - br0 not bought up by cloud-init with MAAS provider (LP: #1271144).
    - ppc64el enablement for juju/lxc (LP: #1273769).
    - juju userdata should not restart networking (LP: #1248283).
    - error detecting hardware characteristics (LP: #1276909).
    - juju instances not including the default security group (LP: #1129720).
    - juju bootstrap does not honor https_proxy (LP: #1240260).
  * d/control,rules: Drop BD on bash-completion, install bash-completion
    direct from upstream source code.
  * d/rules: Set HOME prior to generating man pages.
  * d/control: Drop alternative dependency on mongodb-server; juju now only
    works on trusty with juju-mongodb.

 -- James Page <james.page@ubuntu.com>  Mon, 24 Mar 2014 16:05:44 +0000

juju-core (1.17.4-0ubuntu2) trusty; urgency=medium

  * d/control: Add rsyslog-gnutls as dependency for juju-local package
    to support secure syslog (LP: #1285550). 

 -- James Page <james.page@ubuntu.com>  Wed, 05 Mar 2014 09:57:51 +0000

juju-core (1.17.4-0ubuntu1) trusty; urgency=medium

  * New upstream point release (LP: #1261628):
    - https://launchpad.net/juju-core/trunk/1.17.4
    - d/control: Prefer juju-mongodb over mongodb-server for juju-local
      package.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Feb 2014 16:53:15 +0000

juju-core (1.17.3-0ubuntu1) trusty; urgency=medium

  * New upstream point release (LP: #1271941, #834930, #1240667, #1274210):
    - https://launchpad.net/juju-core/trunk/1.17.3

 -- James Page <james.page@ubuntu.com>  Mon, 24 Feb 2014 09:19:55 +0000

juju-core (1.17.2-0ubuntu4) trusty; urgency=medium

  * No change rebuild with gccgo-4.9 as default gccgo. 

 -- James Page <james.page@ubuntu.com>  Mon, 17 Feb 2014 17:30:04 +0000

juju-core (1.17.2-0ubuntu3) trusty; urgency=medium

  * d/control,rules,juju-core.{postinst,prerm}.in: Drop build of gccgo built
    binaries for architectures supported by golang gc.
  * d/juju-core.postinst.in: Drop --force option when installing alternatives.

 -- James Page <james.page@ubuntu.com>  Wed, 12 Feb 2014 11:40:31 +0000

juju-core (1.17.2-0ubuntu2) trusty; urgency=medium

  * d/tests/local-provider: Stop using sudo for bootstrap
    and destroy-environment calls. 

 -- James Page <james.page@ubuntu.com>  Mon, 03 Feb 2014 10:36:04 +0200

juju-core (1.17.2-0ubuntu1) trusty; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Mon, 03 Feb 2014 09:22:46 +0200

juju-core (1.17.1-0ubuntu2) trusty; urgency=medium

  * d/tests/local-provider: Don't fail tests if ~/.juju is present as its
    created by the juju version command. 

 -- James Page <james.page@ubuntu.com>  Wed, 29 Jan 2014 11:40:20 +0000

juju-core (1.17.1-0ubuntu1) trusty; urgency=medium

  * New upstream release:
    - d/p/bson-gccgo.diff: Dropped, included upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 29 Jan 2014 09:55:40 +0000

juju-core (1.17.0-0ubuntu3) trusty; urgency=medium

  * Enable support for architectures other than x86/armhf (LP: #1261452):
    - d/control: Add BD on gccgo-go for archs that don't have golang-go,
      limit use of golang-go to supported archs only.

 -- James Page <james.page@ubuntu.com>  Mon, 27 Jan 2014 21:55:12 +0000

juju-core (1.17.0-0ubuntu2) trusty; urgency=medium

  * d/tests/local-provider: Provide environment name when destroying
    environment inline with changes in 1.17.0, switch to using --debug
    instead of obsolete -v flag for extra output.

 -- James Page <james.page@ubuntu.com>  Fri, 17 Jan 2014 10:40:31 +0000

juju-core (1.17.0-0ubuntu1) trusty; urgency=medium

  * New upstream release:
    - d/rules: Update for new upstream plugins/binaries.
  * Build alternative binaries using gccgo:
    - d/rules,control: Build using gccgo and golang-go.
    - d/juju-core.postinst.in,juju-core.prerm.in: Update for additional
      gccgo based binaries.
    - d/p/bson-gccgo.diff: Cherry picked fix for mgo for compat with gccgo.
  * d/control: Bumped Standards-Version, no changes.

 -- James Page <james.page@ubuntu.com>  Fri, 17 Jan 2014 09:58:40 +0000

juju-core (1.16.5-0ubuntu1) trusty; urgency=low

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Wed, 11 Dec 2013 10:15:56 +0000

juju-core (1.16.4-0ubuntu1) trusty; urgency=low

  * New upstream release:
    - d/rules: Include new juju-update-bootstrap plugin.

 -- James Page <james.page@ubuntu.com>  Wed, 04 Dec 2013 14:45:05 +0000

juju-core (1.16.3-0ubuntu1) trusty; urgency=low

  * New upstream release.



=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends:
- bash-completion,
  debhelper (>= 7.0.50~),
- golang-go (>= 2:1.1.1),
+ gccgo-go [!amd64 !i386 !armhf],
+ golang-go (>= 2:1.1.1) [amd64 i386 armhf],
  python
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://launchpad.net/juju-core
 XS-Testsuite: autopkgtest
 
@@ -40,9 +40,11 @@
 Package: juju-local
 Architecture: all
 Depends:
+ cpu-checker,
  juju-core (>= ${source:Version}),
+ juju-mongodb,
  lxc,
- mongodb-server,
+ rsyslog-gnutls,
  ${misc:Depends}
 Description: dependency package for the Juju local provider
  Through the use of charms, juju provides you with shareable, re-usable,

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 endif
 
 %:
-	dh $@ --with bash-completion
+	dh $@
 
 debian/juju-core.postinst: debian/juju-core.postinst.in
 	sed -e "s/__NEW_VERSION__/$(VERSION)/g" $< > $@
@@ -24,19 +24,35 @@
 debian/juju-core.lintian-overrides: debian/juju-core.lintian-overrides.in
 	sed -e "s/__NEW_VERSION__/$(VERSION)/g" $< > $@
 
+COMMON_FLAGS:= -x -v -work
+golang_archs:= amd64 i386 armhf
+ifeq (,$(filter $(DEB_HOST_ARCH), $(golang_archs)))
+# NOTE(james-page) statically link libgo for the jujud binary for gccgo
+# this allows the binary to be re-cut for upstream tool distribution and
+# mimics the behaviour of the golang gc compiler.
+JUJUD_FLAGS:= -gccgoflags -static-libgo
+endif
+
 override_dh_auto_install: debian/juju-core.postinst debian/juju-core.prerm debian/juju-core.lintian-overrides
-	go install -v launchpad.net/juju-core/cmd/juju
-	go install -v launchpad.net/juju-core/cmd/plugins/juju-metadata
-	go install -v launchpad.net/juju-core/cmd/jujud
-	$(GOPATH)/src/launchpad.net/juju-core/scripts/generate-docs.py man -o juju.1
+	go install $(COMMON_FLAGS) launchpad.net/juju-core/cmd/juju
+	go install $(COMMON_FLAGS) launchpad.net/juju-core/cmd/plugins/juju-metadata
+	go install $(COMMON_FLAGS) launchpad.net/juju-core/cmd/plugins/juju-restore
+	go install $(COMMON_FLAGS) $(JUJUD_FLAGS) launchpad.net/juju-core/cmd/jujud
+	mkdir -p debian/home
+	HOME=debian/home $(GOPATH)/src/launchpad.net/juju-core/scripts/generate-docs.py man -o juju.1
 	dh_install bin/juju usr/lib/juju-$(VERSION)/bin
 	dh_install bin/juju-metadata usr/lib/juju-$(VERSION)/bin
+	dh_install bin/juju-restore usr/lib/juju-$(VERSION)/bin
+	dh_install src/launchpad.net/juju-core/cmd/plugins/juju-backup/juju-backup usr/lib/juju-$(VERSION)/bin
 	dh_install bin/jujud usr/lib/juju-$(VERSION)/bin
 	dh_install juju.1 usr/lib/juju-$(VERSION)/man/man1
+	dh_install src/launchpad.net/juju-core/etc/bash_completion.d/juju-core etc/bash_completion.d
 	dh_auto_install
 
 override_dh_auto_clean:
 	rm -rf debian/juju-core.prerm debian/juju-core.postinst debian/juju-core.lintian-overrides bin juju.1
+	rm -rf pkg bin /tmp/go-build* debian/home
+	find . -name "*.pyc" -delete || :
 	dh_auto_clean
 
 # Don't strip golang compiled binaries as this does

=== debian/tests/control ===
Tests: client local-provider
Depends: juju, juju-local

## juju-core 1.20.10

=== debian/changelog ===
juju-core (1.20.10-0ubuntu1) utopic; urgency=medium

  * New upstream bugfix release.
  * d/copyright: updated.

 -- Robie Basak <robie.basak@ubuntu.com>  Fri, 17 Oct 2014 15:43:37 +0000

juju-core (1.20.8-0ubuntu1) utopic; urgency=medium

  * New upstream bugfix release.
  * d/copyright: updated.

 -- Robie Basak <robie.basak@ubuntu.com>  Mon, 29 Sep 2014 14:54:07 +0100

juju-core (1.20.7-0ubuntu1) utopic; urgency=medium

  * New upstream bugfix release.
  * d/control: wrap-and-sort for parity with PPA.
  * d/copyright: update and corrections for latest upstream source.

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 11 Sep 2014 18:13:12 +0100

juju-core (1.20.5-0ubuntu1) utopic; urgency=medium

  * New upstream release.
    - d/rules: adjust for move from launchpad to github
    - d/control: dependency tweaks including adding dbus (LP: #1343301)
    - d/control: recommend bash-completion for juju-core.
    - d/control: add juju-local-kvm

 -- Scott Moser <smoser@ubuntu.com>  Wed, 20 Aug 2014 15:00:12 -0400

juju-core (1.18.4+dfsg-0ubuntu1) utopic; urgency=medium

  * Repack with binary removed from source tarball. See
    debian/README.source for details.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 15 Jul 2014 15:51:38 +0000

juju-core (1.18.4-0ubuntu1) utopic; urgency=medium

  * New upstream release, including essential fixes for supporting Utopic and
    all future releases:
    - Support Utopic and future releases by using distro-info-data over
      hardcoded defaults (LP: #1314686).
    - Correctly use juju-mongodb on Trusty and all future releases, rather than
      hardcoding Trusty as special (LP: #1321025).
  * Depend on distro-info so that Juju can use its data in preference to
    hard-coded defaults (LP: #1325025).
  * d/tests/*:
    - Remove hardcoding of precise.
    - Use --upload-tools to reduce external dependencies on local and manual provider testing.
    - Add stderr logging.
    - New test for manual provider against localhost.
    - Mark tests breaks-testbed and isolation-machine so that they do not step on each other.
    - Add "future release" testing for both local and manual providers.

 -- Robie Basak <robie.basak@ubuntu.com>  Fri, 06 Jun 2014 15:53:28 +0000

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,19 @@
 Section: devel
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends:
- debhelper (>= 7.0.50~),
- gccgo-go [!amd64 !i386 !armhf],
- golang-go (>= 2:1.1.1) [amd64 i386 armhf],
- python
+Build-Depends: debhelper (>= 7.0.50~),
+               gccgo-go [!amd64 !i386 !armhf],
+               golang-go (>= 2:1.2) [amd64 i386 armhf],
+               lsb-release,
+               python
 Standards-Version: 3.9.5
 Homepage: http://launchpad.net/juju-core
 XS-Testsuite: autopkgtest
 
 Package: juju-core
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: distro-info, ${misc:Depends}, ${shlibs:Depends}
+Recommends: bash-completion
 Conflicts: juju (<< 0.7-0ubuntu1~)
 Description: Juju is devops distilled - client
  Through the use of charms, juju provides you with shareable, re-usable,
@@ -39,13 +40,14 @@
 
 Package: juju-local
 Architecture: all
-Depends:
- cpu-checker,
- juju-core (>= ${source:Version}),
- juju-mongodb,
- lxc,
- rsyslog-gnutls,
- ${misc:Depends}
+Depends: cpu-checker,
+         dbus,
+         juju-core (>= ${source:Version}),
+         lxc (>=1.0.0~alpha1-0ubuntu14),
+         lxc-templates,
+         rsyslog-gnutls,
+         ${dist:Depends},
+         ${misc:Depends}
 Description: dependency package for the Juju local provider
  Through the use of charms, juju provides you with shareable, re-usable,
  and repeatable expressions of devops best practices. You can use them
@@ -55,3 +57,23 @@
  .
  This is a dependency package for those who want to use the Juju local
  provider, allowing Juju Charms to be tested locally using LXC containers.
+
+Package: juju-local-kvm
+Architecture: all
+Depends: cpu-checker,
+         dbus,
+         juju-core (>= ${source:Version}),
+         rsyslog-gnutls,
+         uvtool,
+         uvtool-libvirt,
+         ${dist:Depends},
+         ${misc:Depends}
+Description: dependency package for the Juju local provider
+ Through the use of charms, juju provides you with shareable, re-usable,
+ and repeatable expressions of devops best practices. You can use them
+ unmodified, or easily change and connect them to fit your needs. Deploying
+ a charm is similar to installing a package on Ubuntu: ask for it and
+ it’s there, remove it and it’s completely gone.
+ .
+ This is a dependency package for those who want to use the Juju local
+ provider, allowing Juju Charms to be tested locally using KVM containers.

=== debian/tests/control ===
Tests: client
Depends: juju
Restrictions: allow-stderr

Tests: local-provider manual-provider
Depends: juju, juju-local
Restrictions: allow-stderr breaks-testbed isolation-machine

Tests: future-local-provider future-manual-provider
Depends: juju, juju-local, sudo
Restrictions: allow-stderr breaks-testbed isolation-machine needs-root

## juju-core 1.20.11

=== src/github.com/juju/juju/Makefile ===
#
# Makefile for juju-core.
#

ifndef GOPATH
$(warning You need to set up a GOPATH.  See the README file.)
endif

PROJECT := github.com/juju/juju
PROJECT_DIR := $(shell go list -e -f '{{.Dir}}' $(PROJECT))

ifeq ($(shell uname -p | sed -r 's/.*(86|armel|armhf).*/golang/'), golang)
	GO_C := golang
	INSTALL_FLAGS := 
else
	GO_C := gccgo-4.9  gccgo-go
	INSTALL_FLAGS := -gccgoflags=-static-libgo
endif

define DEPENDENCIES
  ca-certificates
  bzr
  distro-info-data
  git-core
  mercurial
  juju-local
  zip
  $(GO_C)
endef

default: build

# Start of GOPATH-dependent targets. Some targets only make sense -
# and will only work - when this tree is found on the GOPATH.
ifeq ($(CURDIR),$(PROJECT_DIR))

ifeq ($(JUJU_MAKE_GODEPS),true)
$(GOPATH)/bin/godeps:
	go get launchpad.net/godeps

godeps: $(GOPATH)/bin/godeps
	$(GOPATH)/bin/godeps -u dependencies.tsv
else
godeps:
	@echo "skipping godeps"
endif

build: godeps
	go build $(PROJECT)/...

check: godeps
	go test -test.timeout=1200s $(PROJECT)/...

install: godeps
	go install $(INSTALL_FLAGS) -v $(PROJECT)/...

clean:
	go clean $(PROJECT)/...

else # --------------------------------

build:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

check:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

install:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

clean:
	$(error Cannot $@; $(CURDIR) is not on GOPATH)

endif
# End of GOPATH-dependent targets.

# Reformat source files.
format:
	gofmt -w -l .

# Reformat and simplify source files.
simplify:
	gofmt -w -l -s .

# Install packages required to develop Juju and run tests. The stable
# PPA includes the required mongodb-server binaries.
install-dependencies:
ifeq ($(shell lsb_release -cs|sed -r 's/precise/old/'),old)
	@echo Adding juju PPAs for golang and mongodb-server
	@sudo apt-add-repository --yes ppa:juju/golang
	@sudo apt-add-repository --yes ppa:juju/stable
	@sudo apt-get update
endif
	@echo Installing dependencies
	@sudo apt-get --yes install --no-install-recommends \
	$(strip $(DEPENDENCIES)) \
	$(shell apt-cache madison juju-mongodb mongodb-server | head -1 | cut -d '|' -f1)

# Install bash_completion
install-etc:
	@echo Installing bash completion
	@sudo install -o root -g root -m 644 etc/bash_completion.d/juju-core /etc/bash_completion.d

.PHONY: build check install
.PHONY: clean format simplify
.PHONY: install-dependencies

=== debian/changelog ===
juju-core (1.20.11-0ubuntu0.14.04.1~ctools0) precise; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 06 Feb 2015 08:50:33 -0500

juju-core (1.20.11-0ubuntu0.14.04.1) trusty; urgency=medium

  * New upstream release (LP: #1386144).
  * Packaging changes relating to new upstream release:
    - d/control: add build dependency on lsb-release.
    - d/control: new binary package juju-local-kvm for local KVM support
      (new in Juju 1.20).
    - d/copyright: update for Juju 1.20.11.
    - d/rules: adjust paths in upstream source corresponding to upstream
      move from Launchpad to Github.
    - d/README.source: drop; repacking is no longer required.
  * Packaging bugfixes cherry-picked from Vivid:
    - Build with a version of libgo5 that has the 64k PAGE_SIZE fix
      (LP: #1377325).
    - d/control: add dbus dependency to juju-local (LP: #1343301).
    - d/control: depend on lxc-templates as well as lxc, since lxc only
      recommends lxc-templates so it isn't always brought in.
  * Cherry-pick changes from current upstream and Ubuntu development
    release packaging. These aren't all strictly required for Trusty,
    but given extensive production use of upstream's PPAs, this reduces
    regression risk to end users by eliminating differences between this
    Trusty SRU and what is already known to work well, as well as the
    potential for mistakes because diffs exist:
    - d/{rules,control}: generate mongodb dependency dynamically, as the
      specific binary package name required differs on older releases.
    - d/juju-core.bash-completion: drop unused code.
    - d/control: recommend bash-completion.
    - d/control: update other dependencies for Juju 1.20:
      + Bump golang-go build dependency version; this newer version is
        already available on Trusty.
      + Bump minimum version of lxc dependency; this newer version is
        already available on Trusty.
  * d/control: wrap-and-sort.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 28 Oct 2014 15:37:51 +0000

juju-core (1.18.4+dfsg-0ubuntu0.14.04.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1329302).
  * Repack with binary removed from source tarball. See
    debian/README.source for details.
  * Copy new and enhanced dep8 tests (d/tests/*) from Utopic packaging.
  * Add dependency on distro-info, so that Juju uses it for knowledge to deploy
    future releases instead of relying on its own hardcoded fallback
    (LP: #1325025).

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 02 Jul 2014 16:45:07 +0000

juju-core (1.17.3-0ubuntu2~ctools0) precise; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 26 Feb 2014 11:29:40 -0500

juju-core (1.17.2-0ubuntu2~ctools1) precise; urgency=medium

  * d/control: make Architecture only for i386 and amd64
  * rebuild for cloud tools archive

 -- Scott Moser <smoser@ubuntu.com>  Mon, 10 Feb 2014 09:40:41 -0500

juju-core (1.17.1-0ubuntu2~ctools1) precise; urgency=medium

  * d/control, d/rules: backport for cloud tools archive. disable gcc-go
    based builds.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 30 Jan 2014 10:07:06 -0500

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends: debhelper (>= 7.0.50~),
                gccgo-go [!amd64 !i386 !armhf],
                golang-go (>= 2:1.2) [amd64 i386 armhf],
+               libgo5 (>= 4.9.1-0ubuntu1) [!amd64 !i386 !armhf],
                lsb-release,
                python
 Standards-Version: 3.9.5
@@ -12,7 +13,7 @@
 XS-Testsuite: autopkgtest
 
 Package: juju-core
-Architecture: any
+Architecture: amd64 i386
 Depends: distro-info, ${misc:Depends}, ${shlibs:Depends}
 Recommends: bash-completion
 Conflicts: juju (<< 0.7-0ubuntu1~)
@@ -27,7 +28,7 @@
  with Juju environments.
 
 Package: juju
-Architecture: all
+Architecture: amd64 i386
 Depends: juju-core (>= ${source:Version}), ${misc:Depends}
 Description: next generation service orchestration system
  Through the use of charms, juju provides you with shareable, re-usable,
@@ -39,7 +40,7 @@
  This is a dependency package providing the current version of Juju.
 
 Package: juju-local
-Architecture: all
+Architecture: amd64 i386
 Depends: cpu-checker,
          dbus,
          juju-core (>= ${source:Version}),

## juju-core 1.22.1

=== debian/changelog ===
juju-core (1.22.1-0ubuntu1) vivid; urgency=medium

  * New upstream bugfix release (LP: #1444037).
  * Autopkgtests were changed to switch back to upstart before running their
    workload. This is needed because juju < 1.23 doesn't support systemd.
  * d/patches/fix-detect-new-release.patch: Removed because applied upstream.
  * d/copyright: Updated to reflect changes in the codebase.

 -- Oleg Strikov <oleg.strikov@canonical.com>  Tue, 14 Apr 2015 14:11:54 +0000

juju-core (1.22.0-0ubuntu1) vivid; urgency=medium

  * New upstream release (LP: #1416051).
  * d/patches/fix-detect-new-release.patch: Added upstream patch to redeem
    the ability to handle future Ubuntu releases (LP: #1427879, #1434092).
  * d/tests/fake-future.sh: New ability to generate fake /etc/os-release.
  * d/copyright: Updated to reflect changes in the codebase.
  * d/control:
    - Change build dependency from gccgo to gccgo-go.
    - Use either cloud-image-utils or cloud-utils as dependency for juju-local
      because cloud-image-utils is not available on precise.
    - Compliance to Debian Policy 3.9.6 was declared.

 -- Oleg Strikov <oleg.strikov@canonical.com>  Thu, 26 Mar 2015 15:54:39 +0300

juju-core (1.20.14-0ubuntu3) vivid; urgency=medium

  * Drop the build dependencies on gccgo-go and libgo5, build-depend on
    gccgo instead.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Mar 2015 22:39:45 +0100

juju-core (1.20.14-0ubuntu2) vivid; urgency=medium

  * d/control: add cloud-image-utils dependency to juju-local. Since
    lxc-templates only recommends it, it must be declared as a
    dependency for its use in the ubuntu-cloud template that Juju uses.

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 08 Jan 2015 17:39:08 +0000

juju-core (1.20.14-0ubuntu1) vivid; urgency=medium

  * New upstream bugfix release.
  * d/copyright: update.

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 08 Jan 2015 15:17:37 +0000

juju-core (1.20.11-0ubuntu1) vivid; urgency=medium

  * New upstream bugfix release (LP: #1386144).
  * Build with a version of libgo5 that has the 64k PAGE_SIZE fix
    (LP: #1377325).

 -- Robie Basak <robie.basak@ubuntu.com>  Mon, 27 Oct 2014 15:32:42 +0000

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,14 @@
 Build-Depends: debhelper (>= 7.0.50~),
                gccgo-go [!amd64 !i386 !armhf],
                golang-go (>= 2:1.2) [amd64 i386 armhf],
-               libgo5 (>= 4.9.1-0ubuntu1) [!amd64 !i386 !armhf],
                lsb-release,
                python
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://launchpad.net/juju-core
 XS-Testsuite: autopkgtest
 
 Package: juju-core
-Architecture: amd64 i386
+Architecture: any
 Depends: distro-info, ${misc:Depends}, ${shlibs:Depends}
 Recommends: bash-completion
 Conflicts: juju (<< 0.7-0ubuntu1~)
@@ -28,7 +27,7 @@
  with Juju environments.
 
 Package: juju
-Architecture: amd64 i386
+Architecture: all
 Depends: juju-core (>= ${source:Version}), ${misc:Depends}
 Description: next generation service orchestration system
  Through the use of charms, juju provides you with shareable, re-usable,
@@ -40,8 +39,9 @@
  This is a dependency package providing the current version of Juju.
 
 Package: juju-local
-Architecture: amd64 i386
-Depends: cpu-checker,
+Architecture: all
+Depends: cloud-image-utils | cloud-utils,
+         cpu-checker,
          dbus,
          juju-core (>= ${source:Version}),
          lxc (>=1.0.0~alpha1-0ubuntu14),

=== debian/tests/control ===
Tests: client
Depends: juju
Restrictions: allow-stderr

Tests: upstart-local-provider upstart-manual-provider
Depends: juju, juju-local, sudo
Restrictions: allow-stderr breaks-testbed isolation-machine needs-root

Tests: future-local-provider future-manual-provider
Depends: juju, juju-local, sudo
Restrictions: allow-stderr breaks-testbed isolation-machine needs-root
